##Procedure Header
# Name:
#    ixiangpf::emulation_static_macsec_control
#
# Description:
#    This procedure performs control actions like start, stop or restart on Static Macsec and does some right click actions.
#    The following operations are done:
#    1. Start
#    2. Stop
#    3. Restart
#    4. Restart Down
#    5. Abort
#
# Synopsis:
#    ixiangpf::emulation_static_macsec_control
#        -mode    CHOICES restart
#                 CHOICES start
#                 CHOICES restart_down
#                 CHOICES stop
#                 CHOICES abort
#        [-handle ANY]
#
# Arguments:
#    -mode
#        Determines the action performed on the protocol. Valid choices are:
#        restart- Restart the protocol.
#        start- Start the protocol.
#        stop- Stop the protocol.
#        restart_down- Restart the down sessions.
#        abort- Abort the protocol.
#    -handle
#        This option represents the handle the user *must* pass to the
#        "emulation_static_macsec_control" procedure. This option specifies
#        on which Static Macsec session to control.
#
# Return Values:
#    $::SUCCESS | $::FAILURE
#    key:status  value:$::SUCCESS | $::FAILURE
#    If status is failure, detailed information provided.
#    key:log     value:If status is failure, detailed information provided.
#
# Examples:
#
# Sample Input:
#
# Sample Output:
#
# Notes:
#    For mode choices restart, start, restart_down, stop, abort Static Macsec handle needs to be provided.
#
# See Also:
#

package ixiangpf;

use utils;
use ixiahlt;

sub emulation_static_macsec_control {

	my $args = shift(@_);

	my @notImplementedParams = ();
	my @mandatoryParams = ();
	my @fileParams = ();

	# ixiahlt::logHltapiCommand('emulation_static_macsec_control', $args);
	# ixiahlt::utrackerLog ('emulation_static_macsec_control', $args);

	return ixiangpf::runExecuteCommand('emulation_static_macsec_control', \@notImplementedParams, \@mandatoryParams, \@fileParams, $args);
}

# Return value for the package
return 1;
