##Procedure Header
# Name:
#    ixiangpf::wizard_multivalue_config
#
# Description:
#    This procedure is used to create multivalue string which can be used to set multivalues in wizard apis
#
# Synopsis:
#    ixiangpf::wizard_multivalue_config
#x       [-start_value      ALPHA
#x                          DEFAULT ]
#x       [-step_value       ALPHA
#x                          DEFAULT ]
#x       [-pattern          CHOICES singleValue
#x                          CHOICES increment
#x                          CHOICES decrement
#x                          DEFAULT singleValue]
#x       [-enable_port_step CHOICES 0 1
#x                          DEFAULT 0]
#x       [-port_step        ALPHA
#x                          DEFAULT ]
#
# Arguments:
#x   -start_value
#x       The start value of the multivalue pattern
#x   -step_value
#x       The start value of the multivalue pattern
#x   -pattern
#x       The type of multivalue pattern required
#x   -enable_port_step
#x       flag to enable port set in multivalue
#x   -port_step
#x       The port step value of the multivalue pattern
#
# Return Values:
#    $::SUCCESS | $::FAILURE
#x   key:status             value:$::SUCCESS | $::FAILURE
#    increment decrement or singvalue string
#x   key:multivalue_string  value:increment decrement or singvalue string
#
# Examples:
#
# Sample Input:
#
# Sample Output:
#
# Notes:
#
# See Also:
#

package ixiangpf;

use utils;
use ixiahlt;

sub wizard_multivalue_config {

	my $args = shift(@_);

	my @notImplementedParams = ();
	my @mandatoryParams = ();
	my @fileParams = ();

	# ixiahlt::logHltapiCommand('wizard_multivalue_config', $args);
	# ixiahlt::utrackerLog ('wizard_multivalue_config', $args);

	return ixiangpf::runExecuteCommand('wizard_multivalue_config', \@notImplementedParams, \@mandatoryParams, \@fileParams, $args);
}

# Return value for the package
return 1;
